> For the complete documentation index, see [llms.txt](https://docs.vida.id/identity-stack/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vida.id/identity-stack/verify/id-fraud-shield-sdk/integration-guide/android/api-reference.md).

# API Reference

## Evaluation Result API

The `clientTransactionId` provided during the IdFraudShield SDK initialization is the key identifier for retrieving the fraud assessment result. Partners can use this ID to call the evaluation result API from their backend, which will return the risk level determined along with other device and transaction related details for that specific transaction.

<mark style="color:$success;">**`GET`**</mark> `{{fraud-shield-environment-url}}/api/v1/evaluations?clientTransactionId={{clientTransactionId}}`

### Headers

<table><thead><tr><th width="141.24609375">Name</th><th width="81.97265625">Type</th><th>Description</th></tr></thead><tbody><tr><td>Authorization</td><td>String</td><td>OAuth access token. Get the token by calling the Authentication API</td></tr><tr><td>Content-Type<mark style="color:$danger;">*</mark></td><td>String</td><td><code>application/json</code>. Format type of request body</td></tr></tbody></table>

### API Response - Success

#### Evaluation is In Progress

HTTP Status Code: `200`

{% hint style="info" %}
**Recommendation**: Retry after 500ms
{% endhint %}

<details>

<summary>Response</summary>

```java
{
   "data":{
      "status":"IN_PROGRESS"
   }
}
```

</details>

#### Evaluation was Completed

HTTP Status Code: `200`

<details>

<summary>Response</summary>

```javascript
{
    "data": {
        "status": "SUCCESS",
        "result": {
            "partnerTrxId": "session-12313",
            "evaluatedAt": "T09:02:28.323Z",
            "riskLevel": "HIGH",
            "deviceProfile": {
                "id": "d9d62c2a-0898-463e-9473-9a30c0596013",
                "accountDeviceId": "a7f343b5-8028-45ca-a6c9-3e6b989dd285",
                "fingerprint": "e1ce3107-f68a-4631-8f85-794a5efef9f2",
                "fingerprintConfidence": 51,
                "bot": {
                    "score": 12
                },
                "reputation": "MEDIUM",
                "platform": {
                    "name": "Android",
                    "trueOs": "Linux/Android",
                    "language": "en-GB",
                    "timezone": "Asia/Calcutta",
                    "timezoneCountry": "IN",
                    "timezoneOffset": 330,
                    "source": "ANDROID_SDK",
                    "appName": "id.vida.sampleapp",
                    "browser": {
                        "type": "app",
                        "userAgent": "Android 16",
                        "version": "16",
                        "majorVersion": 16
                    }
                },
                "hardware": {
                    "model": "AIN065",
                    "screenResolution": "1080x2412",
                    "screenBrightness": 32,
                    "screenAspectRatio": "30:67",
                    "battery": {
                        "level": 15,
                        "status": "charging"
                    }
                },
                "network": {
                    "phoneType": "gsm",
                    "simCountry": "in",
                    "simOperator": "Airtel",
                    "connectivityType": "cellular"
                },
                "indicators": {
                    "emulatorDetected": false,
                    "rootedDetected": false,
                    "debuggerAttached": false,
                    "factoryResetDetected": false,
                    "appTampering": "unknown",
                    "fridaDetected": false,
                    "remoteAccessLevel": "LOW",
                    "gpsMockLevel": "LOW",
                    "osAnomalyLevel": "LOW",
                    "deepFakeLevel": "LOW",
                    "malwareLevel": "LOW",
                    "clonedAppLevel": "LOW",
                    "behaviorBiometricLevel": "LOW",
                    "botLevel": "LOW",
                    "sdkThreatDetected": false
                },
                "motion": {
                    "stationaryPercentage": 59,
                    "movingPercentage": 41,
                    "hasStationaryData": true
                },
                "orientation": {
                    "faceUp": 100,
                    "hasOrientationData": true
                },
                "deviceAgeHours": 1703,
                "firstSeenAt": 1763360584
            },
            "behaviorMetrics": {
                "pageRiskLevel": "LOW",
                "numDistractionEvents": 1,
                "numContextSwitchEvents": 0,
                "hesitationPercentileLtm": 0,
                "pageFieldLtm": {
                    "average": {
                        "numCopyPasteEvents": 0
                    }
                }
            },
            "sessionContext": {
                "sessionIpCount": 2,
                "sessionIpCountryCount": 1
            },
            "userProfile": {
                "id": "a9963ed4-4b16-4266-81e0-2e41b93ee2b0",
                "countDevices": 1,
                "countIps": 1,
                "timeSinceLastSession": -1
            },
            "ipProfile": {
                "ip": {
                    "v4": {
                        "address": "106.195.5.90",
                        "trueAddress": "106.195.5.90"
                         },
                    "v6": {
                        "address": "2401:4900:531c:50af:38ed:26ff:fefe:435b"
                    }
                },
                "geo": {
                    "city": "Palle",
                    "region": "Goa",
                    "country": "IN",
                    "latitude": 15.47,
                    "longitude": 74.08
                },
                "indicators": {
                    "vpnLevel": "LOW",
                    "proxyLevel": "LOW"
                },
                "network": {
                    "type": "Fixed Line ISP / Mobile ISP",
                    "domain": "airtel.in",
                    "isp": "Bharti Airtel Ltd.",
                    "usageType": "ISP/MOB"
                }
            },
            "ruleEvaluations": [
                {
                    "name": "≥3 Customers for a Device in last 90 Days",
                    "riskLevel": "HIGH"
                },
                {
                    "name": "≥2 Customers for a Device in last 90 Days",
                    "riskLevel": "HIGH"
                },
                {
                    "name": "Very Fast Session",
                    "riskLevel": "HIGH"
                },
                {
                    "name": "Phone is Charging",
                    "riskLevel": "HIGH"
                }
            ]
        }
    }
}
```

</details>

#### Evaluation was resulted in Error

HTTP Status Code: `non-2xx`

<details>

<summary>Response</summary>

```javascript
{
    "errors": [
        {
            "code": 8005,
            "title": "Internal server error"
        }
    ]
}
```

</details>

### API Response - Error

HTTP Status Code: `400`

<details>

<summary>Response</summary>

```javascript
{
    "errors": [
        {
            "code": 8001,
            "title": "Invalid request",
            "detail": "partnerTrxId is a required query parameter"
        }
    ]
}
```

</details>
